div {
  width: 100%;
  height: 100%;
}
.container {
  margin: 20px;
  width: 500px;
  height: 500px;
  perspective: 1000px;
}
.card {
  transition: transform 2s;
  transform-style: preserve-3d;
  cursor: pointer;
}
.front,
.back {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  backface-visibility: hidden;
}
.front {
  border: 2px solid black;
}
.back {
  border: 2px solid black;
  transform: rotateY(180deg);
}
